RINDEX(3P)

PROLOG
This manual page is part of the POSIX Programmer's Manual. The Linux implementation of this interface may differ (consult the corresponding Linux manual page for details of Linux behavior), or the interface may not be implemented on Linux.

NAME
rindex - character string operations (LEGACY)

SYNOPSIS

#include <strings.h>

char *rindex(const char *s, int c);

DESCRIPTION

The rindex() function shall be equivalent to strrchr() .

RETURN VALUE

Refer to strrchr().

ERRORS

Refer to strrchr().

The following sections are informative.

EXAMPLES

None.

APPLICATION USAGE

The strrchr() function is preferred over this function.

For maximum portability, it is recommended to replace the function call to rindex() as follows:

    #define rindex(a,b) strrchr((a),(b))

RATIONALE

None.

FUTURE DIRECTIONS

This function may be withdrawn in a future version.

SEE ALSO

strrchr(), the Base Definitions volume of IEEE Std 1003.1-2001, <strings.h>

COPYRIGHT
Portions of this text are reprinted and reproduced in electronic form from IEEE Std 1003.1, 2003 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2003 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between this version and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html .